Subject: FVWM: Intermittent lockups

From: Michael White <[email-masked]>
Date: Sun, 24 Oct 2004 19:47:00 -0500

Hi all,

I don't know if this is an FVWM problem, or somewhere else.  But since it only 
seems to impact the GUI, I thought I'd try here first.

My system: AMD64FX51, 1 GB RAM, 80 GB HD, NVIDIA video card, Mandrake 9.2 
(official) for AMD64, fvwm 2.5.9.  fvwm 2.5.9 was re-compiled for 64 bit.

The symptom:  Everything seems to be humming along fine, when suddenly my 
interaction with Mozilla stops working.  At this point, the only thing that 
responds is the mouse and the "Num Lock" key (causes the LED to toggle).  The 
Caps Lock key does not cause the LED to toggle.  I am unable to activate any 
window or pulldown menu.  I am unable to affect any window in any way.  There 
is no window selected as the active window, and I am unable to select any 
window as the active window (I use "FocusFollowsMouse").

I am able to telnet into this machine.  A "top" indicates 98.9% idle, and only 
"X" is using the CPU.  I am able to kill off applications (Mozilla, kmail), 
but there is no change in the "X" display.  No errors or messages are present 
in /var/log/messages that are out of the normal.

On my one attempt to issue a "reboot" command from the telnet session, the 
command did not complete.  I issued a second command, which caused the PC to 
reset immediately (i.e. unclean shutdown).

This has just started happening in the last few weeks, but I don't think 
anything I messed with caused this (could be wrong though).  The fourth 
occurrence was today.  I mucked around with a bunch of DVD player stuff two 
weeks ago, but I don't -think- I overwrote anything that would cause this.  
If I did, I would expect to seem something in /var/log/messages.

Any suggestions or pointers anyone?  Or advice on what to dig for next time it 
happens?

Thanks in advance.
-- 
Michael White         "To protect people from the effects of folly is to
                       fill the world with fools." -Herbert Spencer, 1891

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Parv <[email-masked]>
Date: Sun, 24 Oct 2004 21:20:23 -0400

in message <[email-masked]>,
wrote Michael White thusly...
>
> The symptom:  Everything seems to be humming along fine, when
> suddenly my interaction with Mozilla stops working.  At this
> point, the only thing that responds is the mouse and the "Num
> Lock" key (causes the LED to toggle).  The Caps Lock key does not
> cause the LED to toggle.  I am unable to activate any window or
> pulldown menu.  I am unable to affect any window in any way.
> There is no window selected as the active window, and I am unable
> to select any window as the active window (I use
> "FocusFollowsMouse").

When there is a lock up,  do/did you have any Mozilla windows
hidden/iconified that you try to bring up?

  - Parv

--

---

From: Michael White <[email-masked]>
Date: Sun, 24 Oct 2004 20:34:02 -0500

> hidden/iconified that you try to bring up?

Parv,

No.  I only had a single Mozilla window open (I use tabbed browsing).  No 
Mozilla windows were iconified, although this last lockup, kmail and an xterm 
was iconified.  I don't recall on the others.
-- 
Michael White         "To protect people from the effects of folly is to
                       fill the world with fools." -Herbert Spencer, 1891

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 26 Oct 2004 10:33:51 +0200

> (official) for AMD64, fvwm 2.5.9.  fvwm 2.5.9 was re-compiled for 64 bit.

Note that I don't have access to a 64 bit machine.  Therefore it
is very difficult for me to identify and fix bugs that occur on
such machines.  Some 64 bit bugs are fixed in 2.5.12, but there is
at least one report that there are still problems.  In general,
such problems affect the communication between fvwm, its modules
and the X server.

First of all you should upgrade to 2.5.12 and check if the problem
persists.  If it does, read on.

> "X" is using the CPU.

This looks as if some application took control of the pointer or
the whole X server (in the latter case, no application would be
able to produce any output).  Try killing all applications from
the console ("pstree" for a list).  If the problem still does not
go away, it must be either fvwm or the X server.

> I am able to kill off applications (Mozilla, kmail), 

> reset immediately (i.e. unclean shutdown).

I can not think of any way how the X server or fvwm could prevent
a reboot.  That sounds like a much more severe problem.

> Any suggestions or pointers anyone?  Or advice on what to dig for next time it 

Another cause might be the graphics driver.  Do you use the
drivers written by NVIDIA?  They are known to cause lock-ups and
crashes.  Try the latest drivers or the drivers built into the X
server.  On the other hand, if it's the video card, the pointer
should not be moving.

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]

---

From: Michael White <[email-masked]>
Date: Sun, 31 Oct 2004 20:31:34 -0500

All,

I think I may have found the problem, although I can't confirm it.  When 
poking around inside my PC case to install a drive, I noticed that the power 
cable to the motherboard wasn't plugged in completely.  I slight jostle would 
(and did) disconnect it.  I fixed this a week ago, and the lockup hasn't 
happened since.

I'll try Dominik's suggestions if the lockup occurs again.

Thanks.

On Tuesday 26 October 2004 03:33 am, Dominik Vogt wrote:
> > I don't know if this is an FVWM problem, or somewhere else.  But since it
> > only seems to impact the GUI, I thought I'd try here first.
> >
> > interaction with Mozilla stops working.  At this point, the only thing
> > that responds is the mouse and the "Num Lock" key (causes the LED to
> > toggle).  The Caps Lock key does not cause the LED to toggle.  I am
> > unable to activate any window or pulldown menu.  I am unable to affect
> > any window in any way.  There is no window selected as the active window,
> > and I am unable to select any window as the active window (I use
> > "FocusFollowsMouse").
> >
> > I am able to telnet into this machine.  A "top" indicates 98.9% idle, and
> > only "X" is using the CPU.
>
> > but there is no change in the "X" display.  No errors or messages are
> > present in /var/log/messages that are out of the normal.
> >
> > On my one attempt to issue a "reboot" command from the telnet session,
> > the command did not complete.  I issued a second command, which caused
> > the PC to reset immediately (i.e. unclean shutdown).
>
> > occurrence was today.  I mucked around with a bunch of DVD player stuff
> > two weeks ago, but I don't -think- I overwrote anything that would cause
> > this. If I did, I would expect to seem something in /var/log/messages.
> >
> > Any suggestions or pointers anyone?  Or advice on what to dig for next
> > time it happens?
>